# i2c_dip

A *simple* i2c based dip switch that can be queried as a sensor.

This build uses an ATTiny 2313 / 4313 for the i2c slave with an 8 pin dip switch. The status of all 8 pins on the dip switch are returned via i2c as a single byte that can be used to determine state of all 8.

## Folders

### slave_sender

The main ATTiny code that reads the dip switch states and sends back a single byte with each dip's state encoded as a ```0``` for ```off``` and ```1``` for on.

### master_reader

Sample code used on an Arduino for testing purposes.
