# Home Automation

Notes and information about my [home-automation.io](https://www.home-automation.io) setup.

# Useful Hints

- If you're looking for icons see [https://cdn.materialdesignicons.com/3.0.39/](https://cdn.materialdesignicons.com/3.0.39/) and prefix the names with ```mdi:```. Be sure to remove the ```mdi-``` prefix from the main icons list or they won't work!
- The HADashboard docs have a lot of info on how to setup widgets [here](https://appdaemon.readthedocs.io/en/latest/DASHBOARD_CREATION.html)

# Licensing

Unless otherwise stated the contents of this repository are licensed under a [Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License](LICENSE.txt).

![cc-by-nc-sa](cc-by-nc-sa.png)

# Additional Credits

Large portions of this repo and config were adapted from the following sources.

- [https://github.com/renemarc/home-assistant-config/](https://github.com/renemarc/home-assistant-config/)
- [https://github.com/stanvx/Home-Assistant-Configuration](https://github.com/stanvx/Home-Assistant-Configuration)
- [https://www.awesome-ha.com/](https://www.awesome-ha.com/)
