# Sensors

Various sensor configurations. Each of the ```yaml``` files is a *different* sensor.

## SSH Voodoo

Some sensors are setup to use ssh -> host to bail out of the docker container for monitoring. You'll need to run the below setup on the Docker host to get these sensors working.

``` bash

useradd -m -s /bin/bash home-assistant
sudo -sHu home-assistant
ssh-keygen -t rsa -b 4096
cat ~/.ssh/id_rsa.pub >> ~/.ssh/authorized_keys
cat ~/.ssh/id_rsa > /path/to/config/host-id-rsa

```